package fr.eni.enchere.dal;

import fr.eni.enchere.bo.Article;

import java.util.List;

public interface ArticleRepository {
    List<Article> findAllArticle();
    Article findArticleById(int id);
    List<Article> findArticleByTitle(String title);
    void saveArticle(Article article);
    void deleteArticle(int id);
    void updateArticle(int id);
}
